/*
  Project: Unanet v.22.1.6 Training
  Description: Stylesheet for layout, navigation, and simulation interface design.
  Author: Dominique Thomas (github.com/dominique-thomas)
  License: Shared publicly for demonstration purposes only. Reuse or redistribution not permitted without permission.
*/
@charset "UTF-8";

:root{
    --bg-color: #eaf1f3;
    --pearl: #f8f9fa;
    --p: #646f77;
    --header: #848e97;
    --line: #ddd;

    --sidebar-bg-light:  #292929;
    --sidebar-bg:#292929;               
    --sidebar-font: #848e97; 
}

body {
    font-family: "Open Sans", "Helvetica Neue", "Helvetica", "Arial", sans-serif;
    background: #FCFCFC url("../images/bg.jpg") repeat;
    margin: 0px;
    padding: 0px;
    color: #555555;
    min-width: 320px;
}

#slideSubtitle{
    color: var(--sidebar-font);
}

video{
    width: 100%;
}

.bg-light{
    background-color: var(--pearl)!important;
}

.emphasis{
    font-weight: bold;
}
.dateUpdated{
    font-size: 13px;
}

a,
a:hover,
a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

a.disabled{
    opacity: 0.3 !important;
}

.link,
.link:hover,
.link:focus,
.link:active{
    color: #1661e2;
    
}

.link:hover{
    text-decoration: underline;
}

.navbar {
    background-color: var(--sidebar-bg-light);
    -webkit-box-shadow: none;
    box-shadow: none;
    border-bottom: 1px solid rgba(255, 255, 255, 0.25);
    /*
    border: none;
    border-radius: 0;
    box-shadow: 0 1px 3px rgba(27, 23, 30, 0.1);*/
}

.navbar-btn {
    color: #FFF;
    box-shadow: none;
    outline: none !important;
    border: none;
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px solid var(--line);
    margin: 40px 0;
}

.courseOverlay{
    background: var(--bg-color);
    width: 100vw;
    height: 100vh;
    z-index: 2000;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5em;
}


.btn.disabled, .btn:disabled, fieldset:disabled{
    color:#fff !important;
}

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

#sidebarContainer {
    height: 93vh;
    background-color: var(--sidebar-bg);
    width: auto;
    transition: all 0.3s;
}

#sidebarContainer.active {
    margin-left: -250px;
}

#sidebar {
    width: 250px;
    min-width: 250px;
    max-height: 93vh;
    overflow-y: auto;
    font-size: 15px;
    color: var(--sidebar-font);
}

#sidebar .sidebar-header {
    padding: 35px 20px 0px 20px;
    text-align: center;
    font-size: 20px;
    color: #fff;
    font-weight: bold;
}

.menuTitle {
    font-size: 22px;
    padding: 30px 20px 10px 20px;
    font-size: 17px;
    color: #fff;
}

#sidebar ul p {
    color: #fff;
    padding: 10px;
}

#sidebar ul li a {
    padding: 10px 20px 10px 30px;
    font-size: 15px;
    
    text-overflow: ellipsis;
    display: block;
    max-width: 220px;
    overflow: hidden;
    font-size: 14px;
}

#sidebar .menuBtn.active {
    color: #fff !important;
    background-color: var(--sidebar-bg);
}

.singleItem{
    max-width: 240px;
}

.menuBtn:hover {
    color: #fff;
    background-color: hsla(0, 0%, 100%, 0.075);
}

.menuBtn a {
    color: inherit;
    text-decoration: none;
}

a[data-bs-toggle="collapse"] {
    position: relative;
}

/*
.dropdown-toggle{
    padding-left: 20px !important;
    font-weight: bold;
    font-size:15px !important;
}
*/

.dropdown-bottom {
    padding-bottom: 10px;
}

.dropdown-toggle i {
    margin-right: 10px;
}

.dropdown-toggle {
    display: flex;
    align-items: center;
    padding-left: 20px !important;
    font-weight: bold;
    font-size: 15px !important;
}



.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    right: 1px;

}

ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
}

ul.CTAs {
    padding: 20px;
}

ul.CTAs a {
    text-align: center;
    font-size: 0.9em !important;
    display: block;
    border-radius: 5px;
    margin-bottom: 5px;
}

.menuBtn, .titleContainer {
    display: flex;
}

.menuBtnTxt, .slideTitleContainer {
    flex: 1;
}

.menuBtnProgress {
    flex-basis: 5%;
    padding-top: 12px;
    padding-left: 20px;
    font-size: 10px;
}

.navbarBtn,
.navbarBtn:focus, 
.navbarBtn:active, 
.navbarBtn.active, 
.navbarBtn:focus:active, 
.navbarBtn:focus.active, 
.navbarBtn:hover:active, 
.navbarBtn:hover.active {
    background-color: rgba(var(--bs-light-rgb),var(--bs-bg-opacity))!important;
    border-color: rgba(var(--bs-light-rgb),var(--bs-bg-opacity))!important ;
    color: var(--sidebar-font) !important;
    font-weight: bold;
    font-size: 15px;
} 

.navbarBtn:hover{
    color:  #fff !important;
}

.header{
    position: sticky;
    top: 0;
    min-height: 70px;
    background: #fff;
}

#sidebarOverlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 9998;
  }

/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#content {
    width: 100%;
    padding: 20px;
    transition: all 0.3s;
}

.slideIndicator{
    pointer-events: none;
    font-size: 13px;
}

.reflection-li, .objectives-li{
    padding-bottom: 20px;
}
.reflection-li:last-child, .objectives-li:last-child {
    padding-bottom: 0;
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */
@media (max-width: 768px) {
    .wrapper {
        position: relative;
    }

    #sidebarContainer {
        position: fixed;
        height: 100%;
        z-index: 10;
    }

    #content {
        margin-left: 0;
    }
}

@media (min-width: 1400px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 960px;
    }
}
/* ---------------------------------------------------
    Page Content 
----------------------------------------------------- */
.certificate{
    display: flex;
    justify-content: center;
    text-align: center;
    padding-top: 15%;
  }

.loading-icon {
    font-size: 15px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;
    display: none; 
}

#sidebarCollapse{
    z-index: 2;
}

.backdrop {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.backdrop.show{
    display: block !important;
}

.menuDisabled{
    opacity: 0.5;
    pointer-events: none;
}

.card{
    margin-top: 20px;
    border-color: #dee2e6;
    box-shadow: 0 1px 3px rgba(27, 23, 30, 0.1);
}

.card h2{
    font-size: 18px;
    line-height: 1;
}

.card h3{
    font-size: 15px;
    font-weight: normal;
}

.card-header, .card-body{
    padding-top: 15px;
    padding-left: 20px;
    padding-bottom: 10px;
}

.pageTitle {
    font-size: 18px;
    margin: 0;
    padding: 10px;
    color: var(--p);
}

.videosContainer{
    display: flex;
}
#videos{
    margin: auto;
}

.card-header{
    background-color: var(--sidebar-bg);
    color: #fff;
}

.modal-header{
    background-color: var(--sidebar-bg);
    color: #fff;
    border-radius: 0;
}

.modal-title{
    font-weight: bold;
    font-size: 18px;
}

.btn-close{
    color: #fff;
}

.card-body{
    text-align: left;
}

.card-title{
    color: var(--p);
    font-size: 18px;
}

.card-text{
    font-size: 16px;
}

.nav-pills .nav-link.active, .nav-pills .show>.nav-link{
    color: #fff;
    background-color: var(--sidebar-bg);
}

.nav-link{
    color: var(--sidebar-bg-light);
    font-weight: normal;
}

.hidden{
    display: none;
}

.instructions{
    font-size: 14px;
}

.submitBtn,.slideNavBtns{
    float:right;
}

.form-check-input:checked{
    background-color:var(--sidebar-bg-light);
    border-color: var(--sidebar-bg-light);
}

input[type="radio"]:focus,
input[type="radio"]:active {
  outline: none;
  box-shadow: none;
}

.form-control:focus {
    outline: none;
    box-shadow: none;
    border-color: var(--sidebar-bg);
}

.modal-header .btn-close {
    filter: invert(1);
  }

  th {
    background-color: var(--sidebar-bg) !important;
    color: #fff !important;
    font-weight: normal !important;
  }

  .table{
    border-color:  #1a29423a;
    margin-bottom: 0;
  }


  .table-container {
    height: 480px; 
    overflow-y: auto; 
    overflow-x:hidden;  
    border: 1px solid #ddd;
 }

 th {
    font-weight: bold !important; 
 }

 td{
    font-size: 15px;
 }


 
 .assessment{
    max-width: 1530px;
    width: 100%;
    height: 100%; 
    position: relative;
    margin: 0 auto;
    overflow: hidden;
 }

 #simulation iframe {
    position: absolute;
    top: 0;
    left: 0;            /* 50px */
    width: 100%;
    height: 100%;
    max-height: 720px;
}

#simulation {
    position: relative;
    padding-top: 56.25%; /*41*/
    height: 0;
}

.card-body{
    max-height: 720px;
}

#simulationPreloader{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(255, 255, 255, 1);
    z-index: 10; 
    font-size: 16px;
    color: #333;
}

/* ---------------------------------------------------
    Buttons & Links
----------------------------------------------------- */
 .assessmentBtnContainer{
    display: flex;
    justify-content: flex-end;
    gap: 5px;
 }

.btn{
    color: #fff;
    background-color: var(--sidebar-bg);
    border: none;
}

.btn:hover, 
.btn:active,
.btn:focus{
    color: #fff;
    background-color: var(--sidebar-bg-light);
}

.btn.sampleBtn{
    color: #fff;
    background-color: var(--sidebar-bg);
    border: none;
    cursor: default;
    transform: scale(0.8);
}

.btn.sampleBtn:hover, 
.btn.sampleBtn:active,
.btn.sampleBtn:focus{
    color: #fff;
    background-color: var(--sidebar-bg);
}

.btn-close{
    font-size: 14px;
}
.btn-close:focus {
    --bs-btn-close-focus-shadow: none;
  }

  .small-table {
    border-collapse: collapse;
    width: 150px;
    height: 100px;
    text-align: center;
 }

 .table-center{
    display: flex;
    align-items: center;
    justify-content: center;
}

/* ---------------------------------------------------
    Scrollbars
----------------------------------------------------- */

::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    background: var(--sidebar-bg);
}

::-webkit-scrollbar-thumb {
    background: rgba(255, 255, 255, 0.25);
}


::-webkit-scrollbar-thumb:hover {
    background: rgba(255, 255, 255, 0.5);
}

html {
    scrollbar-color: var(--sidebar-bg) rgba(255, 255, 255, 0.25);
}
